#Copyright 2009 Daniel Monedero Tortola faltantornillos at gmail.com

#This file is part of Bright Player 0.3.

#    Bright Player 0.3 is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.

#    Bright Player 0.3 is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.

#    You should have received a copy of the GNU General Public License
#    along with Foobar.  If not, see <http://www.gnu.org/licenses/>.

import dbus
import dbus.glib
import gobject
import os

def exitFunc():
	loop.quit()
	os.system('killall mplayer')
	os.system('amixer cset iface=MIXER,name=\'Amp Spk Switch\' on')
	os.system('echo 0 > /sys/class/backlight/gta02-bl/bl_power')
	os.system('echo 204 > /sys/class/backlight/gta02-bl/brightness')
	os.system('kill `ps -e -o pid,command | grep [b]rightPlayer.py | awk {\'print $1\'}`')

def incomingCallHandlerFunc(name, action, dictionary):
	if action=='incoming':
		exitFunc()

bus = dbus.SystemBus()
bus.add_signal_receiver(incomingCallHandlerFunc, dbus_interface='org.freesmartphone.GSM.Call')
loop = gobject.MainLoop()
loop.run()
